Bug 1259216 - (CVE-2015-5244) CVE-2015-5244 mod_nss: incorrect ciphersuite parsing
CVE-2015-5244 mod_nss: incorrect ciphersuite parsing
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20150915,repor...
: Security
Depends On: 1263070
Blocks: 1259217
  Show dependency treegraph
 
Reported: 2015-09-02 04:37 EDT by Martin Prpič
Modified: 2016-06-10 02:54 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-10 00:09:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2015-09-02 04:37:32 EDT
The NSSCipherSuite option of mod_nss accepts OpenSSL-styled cipherstrings. It was found that the parsing of such cipherstrings is flawed. If this option is used to disable insecure ciphersuites using the common "!" syntax, e.g.:

NSSCipherSuite !eNULL:!aNULL:AESGCM+aRSA:ECDH+aRSA

it will actually enable those insecure ciphersuites.

Acknowledgements:

This issue was discovered Hubert Kario of Red Hat.
Comment 4 Huzaifa S. Sidhpurwala 2015-09-15 01:34:03 EDT
Created mod_nss tracking bugs for this issue:

Affects: fedora-all [bug 1263070]
Comment 5 Fedora Update System 2016-01-08 15:55:12 EST
mod_nss-1.0.12-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Huzaifa S. Sidhpurwala 2016-03-11 03:35:00 EST
This issue was fixed upstream via the following commit:

https://git.fedorahosted.org/cgit/mod_nss.git/commit/?id=34e1ccecb4a7d5054dba2f92b403af9b6ae1e110

Note You need to log in before you can comment on or make changes to this bug.